Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.common
Interface ApplicationConnectionFactory

All Superinterfaces:
  javax.naming.Referenceable, java.io.Serializable

    public interface ApplicationConnectionFactory

extends javax.naming.Referenceable, java.io.Serializable

This interface represents an EIS specific connection factory for getting the Application Connection. The application connection factory must implement Referenceable and Serializable so that it can be bound to a directory.

Version:
  $Revision: 1.3 $
Author:
  $Author: cmbuild $

Method Summary
`ApplicationConnection` | `getConnection()` Gets the Application Connection which represents a connection handle to the underlying EIS.
`ApplicationConnection` | `getConnection(java.util.Properties connProps)` Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

Methods inherited from interface javax.naming.Referenceable
`getReference`

Method Detail

### getConnection

    ApplicationConnection getConnection()
                                        throws ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS.

  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `ApplicationConnectionException` - upon error.

### getConnection

    ApplicationConnection getConnection(java.util.Properties connProps)
                                        throws ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

  Parameters:
    `connProps` - Properties containing connection specific information.
  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `ApplicationConnectionException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD